org.eclipse.jgit.internal.storage.dfs

## Interface BeforeDfsPackIndexLoadedListener

All Superinterfaces:
  RepositoryListener

    public interface BeforeDfsPackIndexLoadedListener
    extends RepositoryListener

Receives `BeforeDfsPackIndexLoadedEvent`s.

Since:
  2.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onBeforeDfsPackIndexLoaded(BeforeDfsPackIndexLoadedEvent event)` Invoked just before a pack index is loaded from the block cache.

### Method Detail

#### onBeforeDfsPackIndexLoaded

    void onBeforeDfsPackIndexLoaded(BeforeDfsPackIndexLoadedEvent event)

Invoked just before a pack index is loaded from the block cache.

Parameters:
  `event` - information about the packs.